Can I buy a version of Logic that works on my dual 450 mhz power PC G4

  • Asked by Anders R from Los Angeles
  • Nov 30, 2009
QA Logic Studio

QA Logic Studio

Product No Longer Available

1 Answer from the Community

  • As far as i know you'd have to go back to Logic Gold or Silver, older versions that work with the power pc processor. The newer versions only run on Leopard version 7 for instance requires version 10.5.7.

    • Answered by Mark S from Tamarac
    • Nov 23, 2011